# class EimXML::XHTML::FORM

### Public Class Methods

new(attributes={}) click to toggle source
Calls superclass method EimXML::XHTML::Simple_.new

    # File lib/eim_xml/xhtml.rb, line 54
    def initialize(attributes={})
            if attributes
                    if s = attributes.delete(:session)
                            name = attributes.delete(:session_name) || "token"
                            require "digest/sha1"
                            token = s[name] ||= Digest::SHA1.hexdigest("#{$$}#{Time.now}#{rand}")
                    end
            end
            super
            add(HIDDEN.new(:name=>name, :value=>token)) if token
    end